body{
    height: 100vh;
    display:flex;
    justify-content: center;
    align-items: center;
    background: #00c9ff;
    background: -webkit-linear-gradient(to right, #92fe9d, #00c9ff);
    background: linear-gradient(to right, #92fe9d, #00c9ff);
    font-family: "Anton", sans-serif;
}
.weather-card{
    background: #f1f1f1;
    padding: 35px;
    display: inline-block;
    text-align: center;
    box-shadow: 1px 10px 15px -10px rgba(0, 0, 0, 0.4);
    border: 1px solid #eaeaea;
    color: #333;
    position: relative;
}
.weather-card:empty{
    height: 200px;
    width: 150px;
    background-image: radial-gradient(circle 20px, #ccc 100%, transparent),
    linear-gradient(#ccc,#ccc),
    linear-gradient(#ccc,#ccc),
    linear-gradient(#f1f1f1,#f1f1f1);
    background-size: 48px 48px, 190px 40px, 190px 20px, 100% 100%;
    background-position: 50% 24px, 15px 140px, 15px 200px, 0 0;
    background-repeat: no-repeat;
}
.weather-card:empty:after{
    content: "";
    height: 6px;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(to left, #92fe9d 0, #00c9ff);
    background-size: 200% 200%;
    animation: loadingGradient 1s infinite;
}
@keyframes loadingGradient{
    0%{
        background-position: 0% 50%;
    }
    100%{
        background-position: -200% 0%;
    }
}